
Redmine - Defect #2101

Bazaar repository browsing

2008-10-27 22:56 - Dmitry Shaposhnik

Status: Closed Start date: 2008-10-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

When you are using bzr like svn (checkout, commit/update) you get just .bzr folder on server, no project files within.

That's why you should use not bzr ls, but bzr ls -r -1. In such way it will list files from latest revision stored in repository.

I posted patch some time ago (#1685), but it isn't accepted yet.

Associated revisions

Revision 1994 - 2008-11-08 16:28 - Jean-Philippe Lang

Fixed Bazaar shared repository browsing (#2101, patch #1685 by Dmitry Shaposhnik).

History

#1 - 2008-11-08 16:28 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Patch #1685 committed in r1994.

Thanks.

#2 - 2009-07-24 16:12 - Jiongliang Zhang

If there is no any revisions, bzr ls -r -1 has error:

D:\>bzr ls bzr-test\branch -r -1

bzr: ERROR: Requested revision: u'-1' does not exist in branch: BzrBranch6('file:///D:/bzr-test/branch/')

 But bzr ls no error:

D:\>bzr ls bzr-test\branch

D:\>

 my Bazaar version is 1.16, I havn't test it in Redmine repository.
